unit siis_api;

interface
uses
Messages, WinTypes;

const
WM_SSX_ADDMENU=WM_USER+1001;
WM_SSX_FIND=WM_USER+1005;
WM_SSX_SCAN=WM_USER+1006;
WM_SSX_GETRECORD=WM_USER+1007;
WM_SSX_GETCOUNT=WM_USER+1008;
WM_SSX_SHOWDOCUMENT=WM_USER+1009;
WM_SSX_GETFOLDERSCOUNT=WM_USER+1010;
WM_SSX_GETFOLDERINFO=WM_USER+1011;
WM_SSX_GETFOLDERINFO2=WM_USER+1012;
WM_SSX_GETDOCUMENTSCOUNT=WM_USER+1013;
WM_SSX_GETDOCUMENTINFO=WM_USER+1014;

WM_SSX_SETDOCUMENTINFO=WM_USER+1015;
WM_SSX_SETFOLDERINFO=WM_USER+1016;
WM_SSX_APPENDDOCUMENT=WM_USER+1017;
WM_SSX_CREATEFOLDER=WM_USER+1018;
WM_SSX_FINDFOLDER=WM_USER+1019;

WM_SSX_DOCUMENTCUSTOMSEARCH=WM_USER+1020;
WM_SSX_DOCUMENTCUSTOMSEARCHINFO=WM_USER+1021;

WM_SSX_FOLDERCUSTOMSEARCH=WM_USER+1022;
WM_SSX_FOLDERCUSTOMSEARCHINFO=WM_USER+1023;

WM_SSX_GETCURRENTFOLDERID=WM_USER+1024;
WM_SSX_GETCURRENTDOCUMENTID=WM_USER+1025;


CODE_BASE=2000;

GET_ID=CODE_BASE+1;
DO_COMMAND=CODE_BASE+2;
INIT_PLUGIN=CODE_BASE+3;
UPDATE_MENU=CODE_BASE+4;
NOTIFY_EVENT=CODE_BASE+5;

//Evenets
EVENT_BASE=4000;
SSX_EVENT_FOLDERADDED=EVENT_BASE+1;
SSX_EVENT_FOLDEROPENED=EVENT_BASE+2;
SSX_EVENT_DOCUMENTADDED=EVENT_BASE+3;
SSX_EVENT_DOCUMENTOPENED=EVENT_BASE+4;


type
 TExtMenu=record
  Version:LongInt;
  PluginID:WORD;
  szMenuCaption:PChar;
  iMenuID:LongInt;
  ret_code:LongInt;
 end;
 PExtMenu=^TExtMenu;

 TSearchDocument=record
  Version:LongInt;
  PluginID:WORD;
  szSearchString:PChar;
  iFieldIndex:LongInt;
  iComparisonOp:LongInt;
  ret_code:LongInt;
 end;
 PSearchDocument=^TSearchDocument;

 TFoldersCount=record
  Version:LongInt;
  PluginID:WORD;
  hParenTFolder:LongInt;
  iFoldersCount:LongInt;
  ret_code:LongInt;
 end;
 PFoldersCount=^TFoldersCount;

 TSearchDocumentCount=record
  Version:LongInt;
  PluginID:WORD;
  iDocumentCount:LongInt;
  ret_code:LongInt;
 end;
 PSearchDocumentCount=^TSearchDocumentCount;

 TDocumentsCount=record
  Version:LongInt;
  PluginID:WORD;
  iParenTFolder:LongInt;
  iDocumentsCount:LongInt;
  ret_code:LongInt;
 end;
 PDocumentsCount=^TDocumentsCount;

 TFolderInfo=record
  Version:LongInt;
  PluginID:WORD;
  iParentFolder:LongInt;
  iPos:WORD;
  iFolderID:LongInt;
  szName:PChar;
  szDescription:PChar;
  szKeywords:PChar;
  szDate:PChar;
  // Custom Fields
  iNF:LongInt;
  szCFN: array[0..31] of PChar;
  szCFV: array[0..31] of PChar;

  ret_code:LongInt;
 end;
  PFolderInfo=^TFolderInfo;

 TDocumentInfo=record
  Version:LongInt;
  PluginID:WORD;
  iParentFolder:LongInt;
  iPos:WORD;
  iDocumentID:LongInt;
  szName:PChar;
  szDescription:PChar;
  szKeywords:PChar;
  szDate:PChar;
  szDocumentPath:PChar;
  // Custom Fields
  iNF:LongInt;
  szCFN: array[0..31] of PChar;
  szCFV: array[0..31] of PChar;

  ret_code:LongInt;
 end;
  PDocumentInfo=^TDocumentInfo;

 TScanDocuument=record
  Version:LongInt;
  PluginID:WORD;
  szDocumentPath:PChar;
  ret_code:LongInt;
 end;
 PScanDocuument=^TScanDocuument;

  TCustomDocumentSearch=record
   Version:LongInt;
   PluginID:LongInt;
   szSQLStmt:PChar;
   iRecordsFound:LongInt;
   ret_code:LongInt;
  end;
  PCustomDocumentSearch=^TCustomDocumentSearch;

  TCustomFolderSearch=record
   Version:LongInt;
   PluginID:LongInt;
   szSQLStmt:PChar;
   iRecordsFound:LongInt;
   ret_code:LongInt;
  end;
  PCustomFolderSearch=^TCustomFolderSearch;

implementation

end.
