REM
REM Start Tablespaces
REM
 
REM - GeneratorImpl.createTableSpacesScript() null
REM
REM Start Users
REM
 
REM 
REM Message : Created User :Administrator
REM User : 
CREATE USER Administrator IDENTIFIED BY oracle
;
GRANT CONNECT,RESOURCE TO Administrator
;

REM 
REM Message : Created User :guest
REM User : 
CREATE USER guest IDENTIFIED BY oracle
;
GRANT CONNECT,RESOURCE TO guest
;

REM 
REM Message : Created User :SiiS
REM User : 
CREATE USER SiiS IDENTIFIED BY oracle
;
GRANT CONNECT,RESOURCE TO SiiS
;

REM
REM End Users
REM
 
REM
REM Start Tables
REM
 
REM 
REM Message : Created Table :Administrator.AUDIT_
REM User : 
CREATE TABLE Administrator.AUDIT_(USERID NUMBER (10,0) NOT NULL,USERNAME
 CHAR (64)  ,OPDATE DATE NOT NULL,OPCODE NUMBER (10,0) NOT NULL,OPDESCRIPTION
 CHAR (128)  ,OBJECTNAME CHAR (64)  ,OBJECTNEWNAME CHAR (64)  ,OBJECTID
 NUMBER (10,0)  ,OBJECTTYPE CHAR (10)  ,SOURCEPATH CHAR (256)  ) TABLESPACE
 SIIS
;

REM 
REM Message : Processed defaults for table :Administrator.AUDIT_
REM User : 


REM 
REM Message : Created Table :Administrator.CONTROL
REM User : 
CREATE TABLE Administrator.CONTROL(NFOLDERS NUMBER (10,0)  ,LASTFOLDER
 NUMBER (10,0)  ,NIMAGES NUMBER (10,0)  ,LASTIMAGE NUMBER (10,0)  ,LASTFAX
 NUMBER (10,0)  ,TYPE_GRAPHICS CHAR (255)  ,TYPE_OLE CHAR (255)  ,TYPE_MM
 CHAR (255)  ,TYPE_INTERNET CHAR (255)  ,TYPE_TEXT CHAR (255)  ,LASTUSER
 NUMBER (10,0)  ,LASTGROUP NUMBER (10,0)  ,LASTMSG NUMBER (10,0)  ,LASTMSGFOLDER
 NUMBER (10,0)  ) TABLESPACE SIIS
;

REM 
REM Message : Processed defaults for table :Administrator.CONTROL
REM User : 


REM 
REM Message : Created Table :Administrator.DOC_DEPOT
REM User : 
CREATE TABLE Administrator.DOC_DEPOT(DD_PAGEID NUMBER (10,0) NOT NULL,SOURCE
 CHAR (64)  ,USER_ID CHAR (64)  ,REF_COUNT NUMBER (10,0) NOT NULL,DATE_TIME
 DATE  ,FILE_NAME CHAR (64)  ,EXT CHAR (4)  ,THUMB BLOB  ,DOCUMENT BLOB
  ,SECURITY CHAR (255)  ,CHECK_BY CHAR (64)  ,CHECK_PATH CHAR (255)  )
 TABLESPACE SIIS
;

REM 
REM Message : Processed defaults for table :Administrator.DOC_DEPOT
REM User : 


REM 
REM Message : Created Table :Administrator.FOLDERS
REM User : 
CREATE TABLE Administrator.FOLDERS(ID NUMBER (10,0) NOT NULL,PARENTID NUMBER
 (10,0)  ,SISNAME CHAR (64)  ,DESCRIPTION CHAR (240)  ,DATECREATED DATE
  ,DATELASTAC DATE  ,SOURCE CHAR (32)  ,DATE1 DATE  ,USERDATE1 DATE  ,REMARKS
 CHAR (240)  ,LOCKED NUMBER (10,0)  ,NPAGES NUMBER (10,0)  ,KEYWORDS CHAR
 (240)  ,SECURITY CHAR (255)  ) TABLESPACE SIIS
;

REM 
REM Message : Processed defaults for table :Administrator.FOLDERS
REM User : 


REM 
REM Message : Created Table :Administrator.GROUPS
REM User : 
CREATE TABLE Administrator.GROUPS(SISNAME CHAR (64)  ,ID NUMBER (10,0)
 NOT NULL,ACL NUMBER (10,0)  ,DESCRIPTION CHAR (255)  ) TABLESPACE SIIS
;

REM 
REM Message : Processed defaults for table :Administrator.GROUPS
REM User : 


REM 
REM Message : Created Table :Administrator.GUI
REM User : 
CREATE TABLE Administrator.GUI(ID NUMBER (10,0) NOT NULL,CAPTION_E CHAR
 (128)  ,CAPTION_LOCAL CHAR (128)  ,HINT_E CHAR (128)  ,HINT_LOCAL CHAR
 (128)  ) TABLESPACE SIIS
;

REM 
REM Message : Processed defaults for table :Administrator.GUI
REM User : 


REM 
REM Message : Created Table :Administrator.HISTORY
REM User : 
CREATE TABLE Administrator.HISTORY(SIGNATURE CHAR (48)  ,DOCID NUMBER (10,0)
 NOT NULL,TYPE_ CHAR (10)  ,SUBJECT CHAR (255)  ,SISUSER CHAR (64)  ,SISFROM
 CHAR (64)  ,SISTO CHAR (64)  ,SISDATE DATE  ,DOCUMENT BLOB  ) TABLESPACE
 SIIS
;

REM 
REM Message : Processed defaults for table :Administrator.HISTORY
REM User : 


REM 
REM Message : Created Table :Administrator.PAGES
REM User : 
CREATE TABLE Administrator.PAGES(PAGEID NUMBER (10,0) NOT NULL,FOLDERID
 NUMBER (10,0)  ,LOCKED NUMBER (10,0)  ,NLINKS NUMBER (10,0)  ,KEYWORDS
 CHAR (240)  ,LINKED NUMBER (10,0)  ,LINKPAGEID NUMBER (10,0)  ,IMPORTED
 NUMBER (10,0)  ,LINKPATH CHAR (240)  ,SISNAME CHAR (64)  ,EXT CHAR (4)
  ,LINKFOLDERID NUMBER (10,0)  ,DELETED NUMBER (10,0)  ,DESCRIPTION CHAR
 (240)  ,USERDATE1 DATE  ,FOLDERNAME CHAR (64)  ,SECURITY CHAR (255)  ,DATE1
 DATE  ) TABLESPACE SIIS
;

REM 
REM Message : Processed defaults for table :Administrator.PAGES
REM User : 


REM 
REM Message : Created Table :Administrator.ROUTING
REM User : 
CREATE TABLE Administrator.ROUTING(ID NUMBER (10,0) NOT NULL,FOLDERID NUMBER
 (10,0) NOT NULL,SUBJECT CHAR (64)  ,MESSAGE CHAR (512)  ,SISFROM CHAR
 (64)  ,SISTO CHAR (64)  ,SISDATE DATE NOT NULL,R CHAR (1)  ,D1 CHAR (1)
  ,D2 CHAR (1)  ,CC CHAR (1)  ,SISCC CHAR (255)  ,ARCHIVED CHAR (1)  )
 TABLESPACE SIIS
;

REM 
REM Message : Processed defaults for table :Administrator.ROUTING
REM User : 


REM 
REM Message : Created Table :Administrator.USERS
REM User : 
CREATE TABLE Administrator.USERS(SISNAME CHAR (64)  ,ID NUMBER (10,0) NOT
 NULL,PASSWORD CHAR (64)  ,GROUPS CHAR (255)  ,ADMIN CHAR (1)  ,FULLNAME
 CHAR (64)  ,DESCRIPTION CHAR (255)  ) TABLESPACE SIIS
;

REM 
REM Message : Processed defaults for table :Administrator.USERS
REM User : 


REM
REM End Tables
REM
 
REM
REM Start Primary Keys
REM
 
REM 
REM Message : Created Primary Key :PK_DOC_DEPOT_1__14
REM User : Administrator
ALTER TABLE Administrator.DOC_DEPOT ADD ( CONSTRAINT PK_DOC_DEPOT_1__14
 PRIMARY KEY ( DD_PAGEID ) ) 
;

REM 
REM Message : Created Primary Key :PK_FOLDERS_1__13
REM User : Administrator
ALTER TABLE Administrator.FOLDERS ADD ( CONSTRAINT PK_FOLDERS_1__13 PRIMARY
 KEY ( ID ) ) 
;

REM 
REM Message : Created Primary Key :PK___2__10
REM User : Administrator
ALTER TABLE Administrator.GROUPS ADD ( CONSTRAINT PK___2__10 PRIMARY KEY
 ( SiSNAME ) ) 
;

REM 
REM Message : Created Unique Constraint :PK_GUI
REM User : Administrator
ALTER TABLE Administrator.GUI ADD ( CONSTRAINT PK_GUI UNIQUE ( ID ) )
;

REM 
REM Message : Created Unique Constraint :PK_HISTORY
REM User : Administrator
ALTER TABLE Administrator.HISTORY ADD ( CONSTRAINT PK_HISTORY UNIQUE (
 Signature ) )
;

REM 
REM Message : Created Primary Key :PK_PAGES_1__13
REM User : Administrator
ALTER TABLE Administrator.PAGES ADD ( CONSTRAINT PK_PAGES_1__13 PRIMARY
 KEY ( PAGEID ) ) 
;

REM 
REM Message : Created Unique Constraint :PK_ROUTING
REM User : Administrator
ALTER TABLE Administrator.ROUTING ADD ( CONSTRAINT PK_ROUTING UNIQUE (
 ID ) )
;

REM 
REM Message : Created Primary Key :PK___1__10
REM User : Administrator
ALTER TABLE Administrator.USERS ADD ( CONSTRAINT PK___1__10 PRIMARY KEY
 ( SiSNAME ) ) 
;

REM
REM End Primary Keys
REM
 
REM
REM Start Indexes
REM
 
REM 
REM Message : Created Index :USERID
REM User : Administrator
CREATE  INDEX Administrator.USERID ON Administrator.AUDIT_ ( UserID ) TABLESPACE
 SIIS
;

REM 
REM Message : Created Index :USERNAME
REM User : Administrator
CREATE  INDEX Administrator.USERNAME ON Administrator.AUDIT_ ( UserName
 ) TABLESPACE SIIS
;

REM 
REM Message : Created Index :OBJECTID
REM User : Administrator
CREATE  INDEX Administrator.OBJECTID ON Administrator.AUDIT_ ( ObjectID
 ) TABLESPACE SIIS
;

REM 
REM Message : Created Index :OBJECTNAME
REM User : Administrator
CREATE  INDEX Administrator.OBJECTNAME ON Administrator.AUDIT_ ( ObjectName
 ) TABLESPACE SIIS
;

REM 
REM Message : Created Index :IX_HISTORY
REM User : Administrator
CREATE  INDEX Administrator.IX_HISTORY ON Administrator.HISTORY ( docID
 ) TABLESPACE SIIS
;

REM 
REM Message : Created Index :FOLDERID
REM User : Administrator
CREATE  INDEX Administrator.FOLDERID ON Administrator.PAGES ( FOLDERID
 ) TABLESPACE SIIS
;

REM 
REM Message : Created Index :FOLDERID_1
REM User : Administrator
CREATE  INDEX Administrator.FOLDERID_1 ON Administrator.ROUTING ( FOLDERID
 ) TABLESPACE SIIS
;

REM
REM End Indexes
REM
 
REM
REM Start Roles
REM
 
REM 
REM Message : Created Role: PUBLIC_
REM User : 
CREATE ROLE PUBLIC_
;

REM
REM Start Adding Privileges to Roles
REM
 
GRANT                          DELETE ON Administrator.GROUPS TO PUBLIC_;
GRANT                          DELETE ON Administrator.GUI TO PUBLIC_;
GRANT                          DELETE ON Administrator.HISTORY TO PUBLIC_;
GRANT                          DELETE ON Administrator.USERS TO PUBLIC_;
GRANT                          INSERT ON Administrator.GROUPS TO PUBLIC_;
GRANT                          INSERT ON Administrator.GUI TO PUBLIC_;
GRANT                          INSERT ON Administrator.HISTORY TO PUBLIC_;
GRANT                          INSERT ON Administrator.USERS TO PUBLIC_;
GRANT                          SELECT ON Administrator.GROUPS TO PUBLIC_;
GRANT                          SELECT ON Administrator.GUI TO PUBLIC_;
GRANT                          SELECT ON Administrator.HISTORY TO PUBLIC_;
GRANT                          SELECT ON Administrator.USERS TO PUBLIC_;
GRANT                          UPDATE ON Administrator.GROUPS TO PUBLIC_;
GRANT                          UPDATE ON Administrator.GUI TO PUBLIC_;
GRANT                          UPDATE ON Administrator.HISTORY TO PUBLIC_;
GRANT                          UPDATE ON Administrator.USERS TO PUBLIC_;
REM
REM End Adding Privileges to Roles
REM
 
REM
REM Start Adding Users to Roles
REM
 
REM
REM End Adding Users to Roles
REM
 
REM 
REM Message : Created Role: DB_OWNER
REM User : 
CREATE ROLE DB_OWNER
;

REM
REM Start Adding Privileges to Roles
REM
 
REM
REM End Adding Privileges to Roles
REM
 
REM
REM Start Adding Users to Roles
REM
 
REM 
REM Message : Added: Administrator
REM User : 
GRANT DB_OWNER TO Administrator
;

REM 
REM Message : Added: SiiS
REM User : 
GRANT DB_OWNER TO SiiS
;

REM
REM End Adding Users to Roles
REM
 
REM 
REM Message : Created Role: DB_ACCESSADMIN
REM User : 
CREATE ROLE DB_ACCESSADMIN
;

REM
REM Start Adding Privileges to Roles
REM
 
REM
REM End Adding Privileges to Roles
REM
 
REM
REM Start Adding Users to Roles
REM
 
REM
REM End Adding Users to Roles
REM
 
REM 
REM Message : Created Role: DB_SECURITYADMIN
REM User : 
CREATE ROLE DB_SECURITYADMIN
;

REM
REM Start Adding Privileges to Roles
REM
 
REM
REM End Adding Privileges to Roles
REM
 
REM
REM Start Adding Users to Roles
REM
 
REM
REM End Adding Users to Roles
REM
 
REM 
REM Message : Created Role: DB_DDLADMIN
REM User : 
CREATE ROLE DB_DDLADMIN
;

REM
REM Start Adding Privileges to Roles
REM
 
REM
REM End Adding Privileges to Roles
REM
 
REM
REM Start Adding Users to Roles
REM
 
REM
REM End Adding Users to Roles
REM
 
REM 
REM Message : Created Role: DB_BACKUPOPERATOR
REM User : 
CREATE ROLE DB_BACKUPOPERATOR
;

REM
REM Start Adding Privileges to Roles
REM
 
REM
REM End Adding Privileges to Roles
REM
 
REM
REM Start Adding Users to Roles
REM
 
REM
REM End Adding Users to Roles
REM
 
REM 
REM Message : Created Role: DB_DATAREADER
REM User : 
CREATE ROLE DB_DATAREADER
;

REM
REM Start Adding Privileges to Roles
REM
 
REM
REM End Adding Privileges to Roles
REM
 
REM
REM Start Adding Users to Roles
REM
 
REM
REM End Adding Users to Roles
REM
 
REM 
REM Message : Created Role: DB_DATAWRITER
REM User : 
CREATE ROLE DB_DATAWRITER
;

REM
REM Start Adding Privileges to Roles
REM
 
REM
REM End Adding Privileges to Roles
REM
 
REM
REM Start Adding Users to Roles
REM
 
REM
REM End Adding Users to Roles
REM
 
REM 
REM Message : Created Role: DB_DENYDATAREADER
REM User : 
CREATE ROLE DB_DENYDATAREADER
;

REM
REM Start Adding Privileges to Roles
REM
 
REM
REM End Adding Privileges to Roles
REM
 
REM
REM Start Adding Users to Roles
REM
 
REM
REM End Adding Users to Roles
REM
 
REM 
REM Message : Created Role: DB_DENYDATAWRITER
REM User : 
CREATE ROLE DB_DENYDATAWRITER
;

REM
REM Start Adding Privileges to Roles
REM
 
REM
REM End Adding Privileges to Roles
REM
 
REM
REM Start Adding Users to Roles
REM
 
REM
REM End Adding Users to Roles
REM
 
REM
REM End Roles
REM
 
REM
REM Start Public Synonyms
REM
 
REM
REM End Public Synonyms
REM
 
REM
REM Start User Privileges for Administrator
REM
 
CONNECT Administrator/oracle

GRANT DELETE ON Administrator.AUDIT_ TO SiiS;
GRANT DELETE ON Administrator.CONTROL TO SiiS;
GRANT DELETE ON Administrator.DOC_DEPOT TO SiiS;
GRANT DELETE ON Administrator.FOLDERS TO SiiS;
GRANT DELETE ON Administrator.GROUPS TO SiiS;
GRANT DELETE ON Administrator.GUI TO SiiS;
GRANT DELETE ON Administrator.HISTORY TO SiiS;
GRANT DELETE ON Administrator.PAGES TO SiiS;
GRANT DELETE ON Administrator.ROUTING TO SiiS;
GRANT DELETE ON Administrator.USERS TO SiiS;
GRANT INSERT ON Administrator.AUDIT_ TO SiiS;
GRANT INSERT ON Administrator.CONTROL TO SiiS;
GRANT INSERT ON Administrator.DOC_DEPOT TO SiiS;
GRANT INSERT ON Administrator.FOLDERS TO SiiS;
GRANT INSERT ON Administrator.GROUPS TO SiiS;
GRANT INSERT ON Administrator.GUI TO SiiS;
GRANT INSERT ON Administrator.HISTORY TO SiiS;
GRANT INSERT ON Administrator.PAGES TO SiiS;
GRANT INSERT ON Administrator.ROUTING TO SiiS;
GRANT INSERT ON Administrator.USERS TO SiiS;
GRANT REFERENCES ON Administrator.AUDIT_ TO SiiS;
GRANT REFERENCES ON Administrator.CONTROL TO SiiS;
GRANT REFERENCES ON Administrator.DOC_DEPOT TO SiiS;
GRANT REFERENCES ON Administrator.FOLDERS TO SiiS;
GRANT REFERENCES ON Administrator.GROUPS TO SiiS;
GRANT REFERENCES ON Administrator.GUI TO SiiS;
GRANT REFERENCES ON Administrator.HISTORY TO SiiS;
GRANT REFERENCES ON Administrator.PAGES TO SiiS;
GRANT REFERENCES ON Administrator.ROUTING TO SiiS;
GRANT REFERENCES ON Administrator.USERS TO SiiS;
GRANT SELECT ON Administrator.AUDIT_ TO SiiS;
GRANT SELECT ON Administrator.CONTROL TO SiiS;
GRANT SELECT ON Administrator.DOC_DEPOT TO SiiS;
GRANT SELECT ON Administrator.FOLDERS TO SiiS;
GRANT SELECT ON Administrator.GROUPS TO SiiS;
GRANT SELECT ON Administrator.GUI TO SiiS;
GRANT SELECT ON Administrator.HISTORY TO SiiS;
GRANT SELECT ON Administrator.PAGES TO SiiS;
GRANT SELECT ON Administrator.ROUTING TO SiiS;
GRANT SELECT ON Administrator.USERS TO SiiS;
GRANT UPDATE ON Administrator.AUDIT_ TO SiiS;
GRANT UPDATE ON Administrator.CONTROL TO SiiS;
GRANT UPDATE ON Administrator.DOC_DEPOT TO SiiS;
GRANT UPDATE ON Administrator.FOLDERS TO SiiS;
GRANT UPDATE ON Administrator.GROUPS TO SiiS;
GRANT UPDATE ON Administrator.GUI TO SiiS;
GRANT UPDATE ON Administrator.HISTORY TO SiiS;
GRANT UPDATE ON Administrator.PAGES TO SiiS;
GRANT UPDATE ON Administrator.ROUTING TO SiiS;
GRANT UPDATE ON Administrator.USERS TO SiiS;
REM
REM Start User Privileges for guest
REM
 
CONNECT guest/oracle

REM
REM Start User Privileges for SiiS
REM
 
CONNECT SiiS/oracle

REM
REM End User Privileges
REM
 
REM
REM Start User Synonyms
REM
 
REM
REM Reconnecting as DBA user
REM
CONNECT /

REM
REM End User Synonyms
REM
 
